CH_ATTACH_TO_ASYNCHRONOUS_DESCRIPTOR(3)

FUNCTION
ch_attach_to_asynchronous_descriptor - Create a channel object from an asynchronous descriptor.

SYNOPSIS
#include <karma_ch.h>

Channel ch_attach_to_asynchronous_descriptor

(int fd)

DESCRIPTION
Create a channel object from an asynchronous descriptor.

fd  The descriptor.

RETURN VALUE
A channel object on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/